public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dialup/mgetty/
Date: Thu,  1 Aug 2019 06:07:40 +0000 (UTC)	[thread overview]
Message-ID: <1564639635.032f54df1ef7a27bb5e86e823c65c8bf68b3f789.juippis@gentoo> (raw)

commit:     032f54df1ef7a27bb5e86e823c65c8bf68b3f789
Author:     Alexander Tsoy <alexander <AT> tsoy <DOT> me>
AuthorDate: Wed Jul 31 22:01:02 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Aug  1 06:07:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=032f54df

net-dialup/mgetty: add support for /usr merge

Closes: https://bugs.gentoo.org/690362
Package-Manager: Portage-2.3.66, Repoman-2.3.11
Signed-off-by: Alexander Tsoy <alexander <AT> tsoy.me>
Closes: https://github.com/gentoo/gentoo/pull/12493
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-dialup/mgetty/mgetty-1.2.1-r1.ebuild | 178 +++++++++++++++++++++++++++++++
 1 file changed, 178 insertions(+)

diff --git a/net-dialup/mgetty/mgetty-1.2.1-r1.ebuild b/net-dialup/mgetty/mgetty-1.2.1-r1.ebuild
new file mode 100644
index 00000000000..a188806c1cf
--- /dev/null
+++ b/net-dialup/mgetty/mgetty-1.2.1-r1.ebuild
@@ -0,0 +1,178 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit flag-o-matic toolchain-funcs user
+
+DESCRIPTION="fax and voice modem programs"
+HOMEPAGE="http://mgetty.greenie.net/"
+SRC_URI="ftp://mgetty.greenie.net/pub/mgetty/source/1.2/${P}.tar.gz"
+
+DEPEND="
+	dev-lang/perl
+	sys-apps/groff
+	sys-apps/texinfo
+	virtual/awk
+	fax? (
+		!net-misc/efax
+		!net-misc/hylafax
+	)
+"
+RDEPEND="${DEPEND}
+	fax? ( media-libs/netpbm app-text/ghostscript-gpl )
+"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="+fax fidonet split-usr"
+
+pkg_setup() {
+	enewgroup fax
+	enewuser fax -1 -1 /dev/null fax
+}
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.1.36-callback.patch
+	"${FILESDIR}"/${PN}-1.1.36-tmpfile.patch
+	"${FILESDIR}"/${PN}-1.1.37-qa-fixes.patch
+	"${FILESDIR}"/${PN}-1.2.1-Lucent.c.patch
+	"${FILESDIR}"/${PN}-1.2.1-gentoo.patch
+)
+
+src_prepare() {
+	default
+
+	chmod +x mkidirs || die
+
+	# don't install fax related files - bug #195467
+	use fax || eapply "${FILESDIR}/${PN}-1.1.37-nofax.patch"
+
+	sed -i -e 's:/usr/local/lib/mgetty+sendfax:/etc/mgetty+sendfax:' faxrunq.config || die 'changing mgetty config dir failed'
+	sed -i -e 's:/usr/local/bin/g3cat:/usr/bin/g3cat:' faxrunq.config fax/faxspool.rules || die 'changing g3cat path failed'
+
+	sed -e "/^doc-all:/s/mgetty.asc mgetty.info mgetty.dvi mgetty.ps/mgetty.info/" \
+		-i doc/Makefile || die 'first sed on doc/Makefile failed'
+
+	sed -i \
+		-e 's:^CC=:CC?=:g' \
+		-e 's:^CFLAGS=:CFLAGS?=:g' \
+		{,*/}Makefile || die
+	sed -i \
+		-e 's:^AR=:AR?=:g' \
+		-e 's:^CFLAGS=:CFLAGS+= -I..:g' \
+		-e 's:^RANLIB=:RANLIB?=:g' \
+		*/Makefile || die
+}
+
+src_configure() {
+	tc-export AR CC RANLIB
+	use fidonet && append-cppflags "-DFIDO"
+	append-cppflags "-DAUTO_PPP"
+
+	sed -e 's:var/log/mgetty:var/log/mgetty/mgetty:' \
+		-e 's:var/log/sendfax:var/log/mgetty/sendfax:' \
+		-e 's:\/\* \(\#define CNDFILE "dialin.config"\) \*\/:\1:' \
+		-e 's:\(\#define FAX_NOTIFY_PROGRAM\).*:\1 "/etc/mgetty+sendfax/new_fax":' \
+		policy.h-dist > policy.h || die 'creating policy.h failed'
+
+	sed -i \
+		-e "s/\$(CFLAGS) -o newslock/${CFLAGS} ${LDFLAGS} -Wall -o newslock/" \
+		-e "s/\$(LDLAGS)/${LDFLAGS}/" \
+		{,fax/}Makefile || die
+}
+
+src_compile() {
+	local target
+	for target in mgetty sedscript all vgetty;do
+		VARTEXFONTS="${T}"/fonts emake prefix=/usr \
+			CONFDIR=/etc/mgetty+sendfax \
+			CFLAGS="${CFLAGS} ${CPPFLAGS}" \
+			LDFLAGS="${LDFLAGS}" \
+			${target}
+	done
+}
+
+src_install () {
+	# parallelization issue: vgetty-install target fails if install target
+	#                        isn't finished
+	local target
+	for target in install "vgetty-install install-callback"; do
+		emake prefix="${D}/usr" \
+			INFODIR="${D}/usr/share/info" \
+			CONFDIR="${D}/etc/mgetty+sendfax" \
+			MAN1DIR="${D}/usr/share/man/man1" \
+			MAN4DIR="${D}/usr/share/man/man4" \
+			MAN5DIR="${D}/usr/share/man/man5" \
+			MAN8DIR="${D}/usr/share/man/man8" \
+			SBINDIR="${D}/usr/sbin" \
+			BINDIR="${D}/usr/bin" \
+			VOICE_DIR="${D}/var/spool/voice" \
+			PHONE_GROUP=fax \
+			PHONE_PERMS=755 \
+			spool="${D}/var/spool" \
+			${target}
+	done
+
+	keepdir /var/log/mgetty
+
+	#Install mgetty into /sbin (#119078)
+	if use split-usr; then
+		dodir /sbin
+		mv "${D}"/usr/sbin/mgetty "${D}"/sbin || die
+		dosym ../../sbin/mgetty /usr/sbin/mgetty
+	fi
+
+	#Don't install ct (#106337)
+	rm "${D}"/usr/bin/ct || die "failed to remove useless ct program"
+
+	dodoc BUGS ChangeLog README.1st Recommend THANKS TODO \
+		doc/*.txt doc/modems.db
+	doinfo doc/mgetty.info
+
+	docinto vgetty
+	dodoc voice/{Readme,Announce,ChangeLog,Credits}
+
+	docinto vgetty/doc
+	dodoc voice/doc/*
+
+	if use fax; then
+		mv samples/new_fax.all samples_new_fax.all || die "move failed."
+		docinto samples
+		dodoc samples/*
+
+		docinto samples/new_fax
+		dodoc samples_new_fax.all/*
+	fi
+
+	if ! use fax; then
+		insinto /usr/share/${PN}/frontends
+		doins -r frontends/{voice,network}
+	else
+		insinto /usr/share/${PN}
+		doins -r frontends
+	fi
+	insinto /usr/share/${PN}
+	doins -r patches
+	insinto /usr/share/${PN}/voice
+	doins -r voice/{contrib,Perl,scripts}
+
+	diropts -m 0750 -o fax -g fax
+	dodir /var/spool/voice
+	keepdir /var/spool/voice/incoming
+	keepdir /var/spool/voice/messages
+	if use fax; then
+		dodir /var/spool/fax
+		dodir /var/spool/fax/outgoing
+		keepdir /var/spool/fax/outgoing/locks
+		keepdir /var/spool/fax/incoming
+	fi
+}
+
+pkg_postinst() {
+	elog "Users who wish to use the fax or voicemail capabilities must be members"
+	elog "of the group fax in order to access files"
+	elog
+	elog "If you want to grab voice messages from a remote location, you must save"
+	elog "the password in /var/spool/voice/.code file"
+}


             reply	other threads:[~2019-08-01  6:07 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-01  6:07 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-05 20:30 [gentoo-commits] repo/gentoo:master commit in: net-dialup/mgetty/ Conrad Kostecki
2022-07-29 19:06 Conrad Kostecki
2022-05-19  0:52 Yixun Lan
2021-07-05 13:25 Marek Szuba
2021-04-22 18:52 Conrad Kostecki
2021-04-05 22:31 Conrad Kostecki
2021-03-31 15:25 Sergei Trofimovich
2021-03-31  2:24 Sam James
2021-03-31  2:23 Sam James
2021-03-30 22:05 Sam James
2021-03-30 22:05 Sam James
2021-03-30 22:03 Sam James
2021-02-27 23:59 Conrad Kostecki
2021-02-27 23:59 Conrad Kostecki
2021-01-07 19:04 Sam James
2021-01-07 18:57 Sam James
2021-01-07 10:09 Sam James
2021-01-06 17:35 Sergei Trofimovich
2021-01-04  4:53 Sam James
2021-01-04  1:32 Sam James
2021-01-04  1:32 Sam James
2019-03-23 13:48 Pacho Ramos
2019-03-13 22:36 Sergei Trofimovich
2019-03-10 14:41 Mikle Kolyada
2019-03-10 14:41 Mikle Kolyada
2019-03-02 16:23 Mikle Kolyada
2019-02-09 19:35 Sergei Trofimovich
2019-02-07 12:50 Mikle Kolyada
2019-02-02 20:44 Sergei Trofimovich
2019-02-01 14:55 Tobias Klausmann
2019-01-31  7:25 Sergei Trofimovich
2019-01-30  8:13 Sergei Trofimovich
2018-09-20 11:43 Jeroen Roovers
2018-06-28 14:47 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1564639635.032f54df1ef7a27bb5e86e823c65c8bf68b3f789.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox